======================
django-esi
======================

The django-esi package provides an interface for easy access to the ESI.

Location: ``esi``

This is an external package. Please also see `here <https://gitlab.com/allianceauth/django-esi>`_ for it's official documentation.

clients
===========

.. automodule:: esi.clients
    :members: esi_client_factory    
    :undoc-members:

decorators
===========

.. automodule:: esi.decorators    
    :members:
    :undoc-members:

errors
===========

.. automodule:: esi.errors
    :members:
    :undoc-members:


models
===========

.. automodule:: esi.models
    :members: Scope, Token
    :exclude-members: objects, provider
    :undoc-members:
